org.h2.test.db

## Class TestSelectCountNonNullColumn

- java.lang.Object
- - org.h2.test.TestBase
  - - org.h2.test.TestDb
    - - org.h2.test.db.TestSelectCountNonNullColumn

    public class TestSelectCountNonNullColumn
    extends TestDb

Test that count(column) is converted to count(*) if the column is not nullable.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.h2.test.TestDb

`TestDb.Child`

### Field Summary

### Fields inherited from class org.h2.test.TestBase

`BASE_TEST_DIR, config, start, uniqueId`

### Constructor Summary

Constructors
Constructor and Description
`TestSelectCountNonNullColumn()`

### Method Summary

Methods
`static void` `main(java.lang.String... a)` Run just this test.
`void` `test()` This method will be called by the test framework.

### Methods inherited from class org.h2.test.TestDb

`buildChild, deleteDb, deleteDb, getConnection, getConnection, getURL, startServerIfRequired`

### Methods inherited from class org.h2.test.TestBase

`assertContains, assertEqualDatabases, assertEqualReaders, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEqualStreams, assertFalse, assertFalse, assertKnownException, assertKnownException, assertNotNull, assertNotNull, assertNull, assertResult, assertResultRowCount, assertResultSetMeta, assertResultSetOrdered, assertSame, assertSingleValue, assertSmaller, assertStartsWith, assertThrows, assertThrows, assertThrows, assertThrows, assertTrue, assertTrue, crash, createCaller, createClassProxy, createFailingStream, eatMemory, execute, execute, fail, fail, freeMemory, getBaseDir, getClassPath, getFilePassword, getJVM, getMemoryUsed, getMemoryUsedBytes, getPassword, getPassword, getSize, getTestDir, getTestName, getUser, init, init, isEnabled, logError, logErrorMessage, println, printTime, printTimeMemory, readString, runTest, throwException, trace, trace, traceMemory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestSelectCountNonNullColumn

    public TestSelectCountNonNullColumn()

### Method Detail

#### main

    public static void main(java.lang.String... a)
                     throws java.lang.Exception

Run just this test.

Parameters:
  `a` - ignored
Throws:
  `java.lang.Exception`

#### test

    public void test()
              throws java.sql.SQLException

Description copied from class: `TestBase`
This method will be called by the test framework.

Specified by:
  `test` in class `TestBase`
Throws:
  `java.sql.SQLException`